Attach an end user identity to a session
curl --request POST \
--url https://api.interfere.com/v3/session/identify \
--header 'Content-Type: application/json' \
--header 'x-interfere-public-key: <api-key>' \
--data '
{
"sessionId": "<string>",
"identifier": "<string>",
"source": {
"type": "clerk",
"name": "Clerk"
},
"deviceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fpHash": "<string>",
"visitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"avatar": "<string>",
"email": "jsmith@example.com",
"name": "<string>",
"traits": {},
"country": "<string>"
}
'import requests
url = "https://api.interfere.com/v3/session/identify"
payload = {
"sessionId": "<string>",
"identifier": "<string>",
"source": {
"type": "clerk",
"name": "Clerk"
},
"deviceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fpHash": "<string>",
"visitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"avatar": "<string>",
"email": "jsmith@example.com",
"name": "<string>",
"traits": {},
"country": "<string>"
}
headers = {
"x-interfere-public-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-interfere-public-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sessionId: '<string>',
identifier: '<string>',
source: {type: 'clerk', name: 'Clerk'},
deviceId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
fpHash: '<string>',
visitorId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
avatar: '<string>',
email: 'jsmith@example.com',
name: '<string>',
traits: {},
country: '<string>'
})
};
fetch('https://api.interfere.com/v3/session/identify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true
}{
"code": "AUTH_MISSING",
"message": "<string>",
"service": "collector"
}{
"code": "INGEST_INFRA_UNAVAILABLE",
"message": "<string>",
"service": "collector"
}Attach an end user identity to a session
POST
/
v3
/
session
/
identify
Attach an end user identity to a session
Authorizations
publicKeyHeaderpublicKey
Public key of the receiving surface; preferred for OTel Collector exporters, whose endpoint config cannot carry query strings
Body
application/json
Request body for identifying the end user associated with a session.
Minimum string length:
1Auth provider that surfaced this identification.
- Option 1
- Option 2
- Option 3
- Option 4
Show child attributes
Show child attributes
Free-form key/value bag of user attributes attached when identifying a session.
Show child attributes
Show child attributes
Maximum string length:
2Response
Identity attached
SessionResponse
Was this page helpful?
⌘I